=== game/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# game/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Eliot
# Copyright (C) 1999-2007  Antoine Fraboulet & Olivier Teulière
# Authors: Antoine Fraboulet <antoine.fraboulet@free.fr>
#          Olivier Teulière <ipkiss @@ gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

SOURCES = $(libgame_a_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/eliot
pkglibdir = $(libdir)/eliot
pkgincludedir = $(includedir)/eliot
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
subdir = game
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/ax_cxx_gcc_abi_demangle.m4 \
	$(top_srcdir)/m4/ax_lib_expat.m4 $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intl.m4 \
	$(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/lock.m4 \
	$(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
	$(top_srcdir)/m4/visibility.m4 $(top_srcdir)/m4/wchar_t.m4 \
	$(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xsize.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
libgame_a_AR = $(AR) $(ARFLAGS)
libgame_a_LIBADD =
am_libgame_a_OBJECTS = game_exception.$(OBJEXT) command.$(OBJEXT) \
	coord.$(OBJEXT) cross.$(OBJEXT) rack.$(OBJEXT) \
	pldrack.$(OBJEXT) round.$(OBJEXT) move.$(OBJEXT) \
	results.$(OBJEXT) bag.$(OBJEXT) turn.$(OBJEXT) \
	history.$(OBJEXT) player.$(OBJEXT) player_points_cmd.$(OBJEXT) \
	player_move_cmd.$(OBJEXT) player_rack_cmd.$(OBJEXT) \
	ai_percent.$(OBJEXT) board.$(OBJEXT) board_cross.$(OBJEXT) \
	board_search.$(OBJEXT) settings.$(OBJEXT) navigation.$(OBJEXT) \
	game.$(OBJEXT) game_move_cmd.$(OBJEXT) turn_cmd.$(OBJEXT) \
	duplicate.$(OBJEXT) mark_played_cmd.$(OBJEXT) \
	freegame.$(OBJEXT) training.$(OBJEXT) public_game.$(OBJEXT) \
	game_factory.$(OBJEXT) game_io.$(OBJEXT) xml_writer.$(OBJEXT) \
	xml_reader.$(OBJEXT)
libgame_a_OBJECTS = $(am_libgame_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/ai_percent.Po ./$(DEPDIR)/bag.Po \
	./$(DEPDIR)/board.Po ./$(DEPDIR)/board_cross.Po \
	./$(DEPDIR)/board_search.Po ./$(DEPDIR)/command.Po \
	./$(DEPDIR)/coord.Po ./$(DEPDIR)/cross.Po \
	./$(DEPDIR)/duplicate.Po ./$(DEPDIR)/freegame.Po \
	./$(DEPDIR)/game.Po ./$(DEPDIR)/game_exception.Po \
	./$(DEPDIR)/game_factory.Po ./$(DEPDIR)/game_io.Po \
	./$(DEPDIR)/game_move_cmd.Po \
	./$(DEPDIR)/history.Po \
	./$(DEPDIR)/mark_played_cmd.Po ./$(DEPDIR)/move.Po \
	./$(DEPDIR)/navigation.Po ./$(DEPDIR)/player.Po \
	./$(DEPDIR)/player_move_cmd.Po \
	./$(DEPDIR)/player_points_cmd.Po \
	./$(DEPDIR)/player_rack_cmd.Po \
	./$(DEPDIR)/pldrack.Po ./$(DEPDIR)/public_game.Po \
	./$(DEPDIR)/rack.Po ./$(DEPDIR)/results.Po \
	./$(DEPDIR)/round.Po ./$(DEPDIR)/settings.Po \
	./$(DEPDIR)/training.Po ./$(DEPDIR)/turn.Po \
	./$(DEPDIR)/turn_cmd.Po ./$(DEPDIR)/xml_reader.Po \
	./$(DEPDIR)/xml_writer.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libgame_a_SOURCES)
DIST_SOURCES = $(libgame_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run aclocal-1.8
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run tar
ARABICA_CFLAGS = -I/usr/include/arabica -I/usr/include/libxml2  
ARABICA_LIBS = -L/usr/lib -larabica  
AUTOCONF = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run automake-1.8
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_LDFLAGS = -L/usr/lib
BUILD_DICTOOLS_FALSE = #
BUILD_DICTOOLS_TRUE = 
BUILD_INCLUDED_LIBINTL = no
BUILD_NCURSES_FALSE = #
BUILD_NCURSES_TRUE = 
BUILD_QT_FALSE = #
BUILD_QT_TRUE = 
BUILD_TEXT_FALSE = #
BUILD_TEXT_TRUE = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
EXPAT_CFLAGS = -I/usr/include
EXPAT_LDFLAGS = -L/usr/lib -lexpat
EXPAT_VERSION = 1.95.8
GENCAT = gencat
GLIBC2 = yes
GLIBC21 = yes
GMSGFMT = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GMSGFMT_015 = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_READLINE_FALSE = #
HAS_READLINE_TRUE = 
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBCONFIG_CFLAGS =  
LIBCONFIG_LIBS = -L/usr/lib -lconfig++  
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBS = 
LIBTHREAD = 
LOG4CXX_CFLAGS = 
LOG4CXX_LIBS = 
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run makeinfo
MOC = /usr/bin/moc
MSGFMT = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGFMT_015 = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGMERGE = /scratchbox/devkits/autotools-legacy/bin/msgmerge
OBJEXT = o
PACKAGE = eliot
PACKAGE_BUGREPORT = 
PACKAGE_NAME = eliot
PACKAGE_STRING = eliot 1.14-cvs
PACKAGE_TARNAME = eliot
PACKAGE_URL = 
PACKAGE_VERSION = 1.14-cvs
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/devkits/autotools-legacy/bin/pkg-config
POSUB = po
PRI_MACROS_BROKEN = 0
QT4LOCALEDIR = /usr/share/qt4/translations/
QT_CFLAGS = -DQT_SHARED -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtDBus -I/usr/include/QtXml  
QT_LIBS = -L/usr/lib -lQtGui -lQtDBus -lQtXml -lQtCore  
RANLIB = ranlib
RCC = /usr/bin/rcc
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
UIC = /usr/bin/uic
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.14-cvs
WIN32_BUILD_FALSE = 
WIN32_BUILD_TRUE = #
WITH_LOGGING_FALSE = 
WITH_LOGGING_TRUE = #
WOE32DLL = no
XGETTEXT = /scratchbox/devkits/autotools-legacy/bin/xgettext
XGETTEXT_015 = /scratchbox/devkits/autotools-legacy/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/rantalai/scrabble/elliot/eliot/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
noinst_LIBRARIES = libgame.a
AM_CPPFLAGS = -I$(top_srcdir)/dic -I../intl -I$(top_srcdir)/intl   -I/usr/include/arabica -I/usr/include/libxml2   -I/usr/include 
libgame_a_SOURCES = \
    game_exception.cpp game_exception.h \
    command.h command.cpp \
    coord.cpp coord.h \
    cross.cpp cross.h \
    rack.cpp rack.h \
    pldrack.cpp pldrack.h \
    round.cpp round.h \
    move.cpp move.h \
    results.cpp results.h \
    bag.cpp bag.h \
    turn.cpp turn.h \
    history.cpp history.h \
    player.cpp player.h \
    player_points_cmd.cpp player_points_cmd.h \
    player_move_cmd.cpp player_move_cmd.h \
    player_rack_cmd.cpp player_rack_cmd.h \
    ai_player.h \
    ai_percent.cpp ai_percent.h \
    board.cpp board.h \
    board_cross.cpp \
    matrix.h \
    board_search.cpp board_search.h \
    settings.cpp settings.h \
    navigation.cpp navigation.h \
    game.cpp game.h \
    game_move_cmd.h game_move_cmd.cpp \
    turn_cmd.cpp turn_cmd.h \
    duplicate.cpp duplicate.h \
    mark_played_cmd.h mark_played_cmd.cpp \
    freegame.cpp freegame.h \
    training.cpp training.h \
    public_game.cpp public_game.h \
    game_factory.cpp game_factory.h \
    game_io.cpp \
    xml_writer.cpp xml_writer.h \
    xml_reader.cpp xml_reader.h \
    debug.h

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  game/Makefile'; \
	cd $(top_srcdir) && \
