=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.16

PACKAGE = eliot
VERSION = 1.14-cvs
PACKAGE_BUGREPORT = 

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = ${datarootdir}/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# /home/rantalai/scrabble/elliot/eliot/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, mkdir -p -- . is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) /home/rantalai/scrabble/elliot/eliot/install-sh -d
install_sh = $(SHELL) /home/rantalai/scrabble/elliot/eliot/install-sh
MKDIR_P = @MKDIR_P@
mkdir_p = mkdir -p -- .

GMSGFMT_ = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GMSGFMT_no = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GMSGFMT_yes = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGFMT_no = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGFMT_yes = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /scratchbox/devkits/autotools-legacy/bin/xgettext
XGETTEXT_no = /scratchbox/devkits/autotools-legacy/bin/xgettext
XGETTEXT_yes = /scratchbox/devkits/autotools-legacy/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /scratchbox/devkits/autotools-legacy/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  fr.po ca.po cs.po id.po rs.po en.po en@quot.po en@boldquot.po
GMOFILES =  fr.gmo ca.gmo cs.gmo id.gmo rs.gmo en.gmo en@quot.gmo en@boldquot.gmo
UPDATEPOFILES =  fr.po-update ca.po-update cs.po-update id.po-update rs.po-update en.po-update en@quot.po-update en@boldquot.po-update
DUMMYPOFILES =  fr.nop ca.nop cs.nop id.nop rs.nop en.nop en@quot.nop en@boldquot.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../dic/automaton.cpp \
     ../dic/automaton.h \
     ../dic/compdic.cpp \
     ../dic/compdic.h \
     ../dic/compdicmain.cpp \
     ../dic/dic.cpp \
     ../dic/dic_exception.cpp \
     ../dic/dic_exception.h \
     ../dic/dic.h \
     ../dic/dic_internals.h \
     ../dic/dic_search.cpp \
     ../dic/encoding.cpp \
     ../dic/encoding.h \
     ../dic/grammar.cpp \
     ../dic/grammar.h \
     ../dic/header.cpp \
     ../dic/header.h \
     ../dic/listdic.cpp \
     ../dic/regexp.cpp \
     ../dic/regexp.h \
     ../dic/regexpmain.cpp \
     ../dic/tile.cpp \
     ../dic/tile.h \
     ../game/ai_percent.cpp \
     ../game/ai_percent.h \
     ../game/ai_player.h \
     ../game/bag.cpp \
     ../game/bag.h \
     ../game/board.cpp \
     ../game/board_cross.cpp \
     ../game/board.h \
     ../game/board_search.cpp \
     ../game/board_search.h \
     ../game/command.cpp \
     ../game/command.h \
     ../game/coord.cpp \
     ../game/coord.h \
     ../game/cross.cpp \
     ../game/cross.h \
     ../game/debug.h \
     ../game/duplicate.cpp \
     ../game/duplicate.h \
     ../game/freegame.cpp \
     ../game/freegame.h \
     ../game/game.cpp \
     ../game/game_exception.cpp \
     ../game/game_exception.h \
     ../game/game_factory.cpp \
     ../game/game_factory.h \
     ../game/game.h \
     ../game/game_io.cpp \
     ../game/game_move_cmd.cpp \
     ../game/game_move_cmd.h \
     ../game/history.cpp \
     ../game/history.h \
     ../game/mark_played_cmd.cpp \
     ../game/mark_played_cmd.h \
     ../game/matrix.h \
     ../game/move.cpp \
     ../game/move.h \
     ../game/navigation.cpp \
     ../game/navigation.h \
     ../game/player.cpp \
     ../game/player.h \
     ../game/player_move_cmd.cpp \
     ../game/player_move_cmd.h \
     ../game/player_points_cmd.cpp \
     ../game/player_points_cmd.h \
     ../game/player_rack_cmd.cpp \
     ../game/player_rack_cmd.h \
     ../game/pldrack.cpp \
     ../game/pldrack.h \
     ../game/public_game.cpp \
     ../game/public_game.h \
     ../game/rack.cpp \
     ../game/rack.h \
     ../game/results.cpp \
     ../game/results.h \
     ../game/round.cpp \
     ../game/round.h \
     ../game/settings.cpp \
     ../game/settings.h \
     ../game/training.cpp \
     ../game/training.h \
     ../game/turn_cmd.cpp \
     ../game/turn_cmd.h \
     ../game/turn.cpp \
     ../game/turn.h \
     ../game/xml_reader.cpp \
     ../game/xml_reader.h \
     ../game/xml_writer.cpp \
     ../game/xml_writer.h \
     ../qt/aux_window.cpp \
     ../qt/aux_window.h \
     ../qt/bag_widget.cpp \
     ../qt/bag_widget.h \
     ../qt/board_widget.cpp \
     ../qt/board_widget.h \
     ../qt/custom_popup.cpp \
     ../qt/custom_popup.h \
     ../qt/coord_model.cpp \
     ../qt/coord_model.h \
     ../qt/dic_tools_widget.cpp \
     ../qt/dic_tools_widget.h \
     ../qt/dic_wizard.cpp \
     ../qt/dic_wizard.h \
     ../qt/history_widget.cpp \
     ../qt/history_widget.h \
     ../qt/main.cpp \
     ../qt/main_window.cpp \
     ../qt/main_window.h \
     ../qt/new_game.cpp \
     ../qt/new_game.h \
     ../qt/player_widget.cpp \
     ../qt/player_widget.h \
     ../qt/play_word_mediator.cpp \
     ../qt/play_word_mediator.h \
     ../qt/prefs_dialog.cpp \
     ../qt/prefs_dialog.h \
     ../qt/qtcommon.cpp \
     ../qt/qtcommon.h \
     ../qt/score_widget.cpp \
     ../qt/score_widget.h \
     ../qt/training_widget.cpp \
     ../qt/training_widget.h \
     ../utils/game_io.cpp \
     ../utils/game_io.h \
     ../utils/ncurses.cpp \
     ../utils/ncurses.h \
     ../qt/ui/dic_tools_widget.ui.h \
     ../qt/ui/dic_wizard_conclusion_page.ui.h \
     ../qt/ui/dic_wizard_info_page.ui.h \
     ../qt/ui/dic_wizard_letters_def_page.ui.h \
     ../qt/ui/main_window.ui.h \
     ../qt/ui/new_game.ui.h \
     ../qt/ui/player_widget.ui.h \
     ../qt/ui/prefs_dialog.ui.h \
     ../qt/ui/training_widget.ui.h

CATALOGS =  fr.gmo ca.gmo cs.gmo id.gmo rs.gmo en.gmo en@quot.gmo en@boldquot.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_ --keyword=_q --keyword=Q_ --language=C++ --from-code=utf-8

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Eliot

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = eliot-dev@nongnu.org

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# XXX: hack: since we want to parse generated files with xgettext,
# do not complain if these files are not found in the source tree,
# because they will be found in the build tree
$(POTFILES):

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_builddir) \
	  --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address="$$msgid_bugs_address"
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
