=== qt/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# qt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Eliot
# Copyright (C) 2008  Olivier Teulière
# Authors: Olivier Teulière <ipkiss @@ gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

SOURCES = $(eliot_SOURCES) $(nodist_eliot_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/eliot
pkglibdir = $(libdir)/eliot
pkgincludedir = $(includedir)/eliot
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
bin_PROGRAMS = eliot$(EXEEXT)
#am__append_1 = 

# Embed the icon in the win32 binary, see http://doc.trolltech.com/4.4/appicon.html
#am__append_2 = win32icon.rc
#am__append_3 = win32icon.rc
#am__append_4 = win32icon.o
subdir = qt
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/ax_cxx_gcc_abi_demangle.m4 \
	$(top_srcdir)/m4/ax_lib_expat.m4 $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intl.m4 \
	$(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/lock.m4 \
	$(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
	$(top_srcdir)/m4/visibility.m4 $(top_srcdir)/m4/wchar_t.m4 \
	$(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xsize.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am__eliot_SOURCES_DIST = qtcommon.h qtcommon.cpp coord_model.h \
	coord_model.cpp tile_widget.cpp tile_widget.h tile_layout.cpp \
	tile_layout.h custom_popup.cpp custom_popup.h bag_widget.cpp \
	bag_widget.h bag_widget2.cpp bag_widget2.h \
	dic_tools_widget.cpp dic_tools_widget.h new_game.cpp \
	new_game.h score_widget.cpp score_widget.h dic_wizard.cpp \
	dic_wizard.h board_widget.cpp board_widget.h \
	history_widget.cpp history_widget.h play_word_mediator.cpp \
	play_word_mediator.h training_widget.cpp training_widget.h \
	player_widget.cpp player_widget.h prefs_dialog.cpp \
	prefs_dialog.h aux_window.cpp aux_window.h main_window.cpp \
	main_window.h main.cpp win32icon.rc
am__objects_1 =
am_eliot_OBJECTS = qtcommon.$(OBJEXT) \
	coord_model.$(OBJEXT) tile_widget.$(OBJEXT) \
	tile_layout.$(OBJEXT) custom_popup.$(OBJEXT) \
	bag_widget.$(OBJEXT) bag_widget2.$(OBJEXT) \
	dic_tools_widget.$(OBJEXT) new_game.$(OBJEXT) \
	score_widget.$(OBJEXT) dic_wizard.$(OBJEXT) \
	board_widget.$(OBJEXT) history_widget.$(OBJEXT) \
	play_word_mediator.$(OBJEXT) \
	training_widget.$(OBJEXT) \
	player_widget.$(OBJEXT) prefs_dialog.$(OBJEXT) \
	aux_window.$(OBJEXT) main_window.$(OBJEXT) \
	main.$(OBJEXT) $(am__objects_1)
nodist_eliot_OBJECTS = coord_model.moc.$(OBJEXT) \
	tile_widget.moc.$(OBJEXT) \
	tile_layout.moc.$(OBJEXT) \
	custom_popup.moc.$(OBJEXT) \
	new_game.moc.$(OBJEXT) \
	dic_tools_widget.moc.$(OBJEXT) \
	bag_widget.moc.$(OBJEXT) \
	bag_widget2.moc.$(OBJEXT) \
	score_widget.moc.$(OBJEXT) \
	dic_wizard.moc.$(OBJEXT) \
	board_widget.moc.$(OBJEXT) \
	history_widget.moc.$(OBJEXT) \
	play_word_mediator.moc.$(OBJEXT) \
	player_widget.moc.$(OBJEXT) \
	training_widget.moc.$(OBJEXT) \
	prefs_dialog.moc.$(OBJEXT) \
	aux_window.moc.$(OBJEXT) \
	main_window.moc.$(OBJEXT) resources.$(OBJEXT)
eliot_OBJECTS = $(am_eliot_OBJECTS) $(nodist_eliot_OBJECTS)
am__DEPENDENCIES_1 =
#am__DEPENDENCIES_2 = win32icon.o
eliot_DEPENDENCIES = ../game/libgame.a ../dic/libdic.a \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/aux_window.Po \
	./$(DEPDIR)/aux_window.moc.Po \
	./$(DEPDIR)/bag_widget.Po \
	./$(DEPDIR)/bag_widget.moc.Po \
	./$(DEPDIR)/bag_widget2.Po \
	./$(DEPDIR)/bag_widget2.moc.Po \
	./$(DEPDIR)/board_widget.Po \
	./$(DEPDIR)/board_widget.moc.Po \
	./$(DEPDIR)/coord_model.Po \
	./$(DEPDIR)/coord_model.moc.Po \
	./$(DEPDIR)/custom_popup.Po \
	./$(DEPDIR)/custom_popup.moc.Po \
	./$(DEPDIR)/dic_tools_widget.Po \
	./$(DEPDIR)/dic_tools_widget.moc.Po \
	./$(DEPDIR)/dic_wizard.Po \
	./$(DEPDIR)/dic_wizard.moc.Po \
	./$(DEPDIR)/history_widget.Po \
	./$(DEPDIR)/history_widget.moc.Po \
	./$(DEPDIR)/main.Po ./$(DEPDIR)/main_window.Po \
	./$(DEPDIR)/main_window.moc.Po \
	./$(DEPDIR)/new_game.Po \
	./$(DEPDIR)/new_game.moc.Po \
	./$(DEPDIR)/play_word_mediator.Po \
	./$(DEPDIR)/play_word_mediator.moc.Po \
	./$(DEPDIR)/player_widget.Po \
	./$(DEPDIR)/player_widget.moc.Po \
	./$(DEPDIR)/prefs_dialog.Po \
	./$(DEPDIR)/prefs_dialog.moc.Po \
	./$(DEPDIR)/qtcommon.Po ./$(DEPDIR)/resources.Po \
	./$(DEPDIR)/score_widget.Po \
	./$(DEPDIR)/score_widget.moc.Po \
	./$(DEPDIR)/tile_layout.Po \
	./$(DEPDIR)/tile_layout.moc.Po \
	./$(DEPDIR)/tile_widget.Po \
	./$(DEPDIR)/tile_widget.moc.Po \
	./$(DEPDIR)/training_widget.Po \
	./$(DEPDIR)/training_widget.moc.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(eliot_SOURCES) $(nodist_eliot_SOURCES)
DIST_SOURCES = $(am__eliot_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run aclocal-1.8
ALLOCA = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run tar
ARABICA_CFLAGS = -I/usr/include/arabica -I/usr/include/libxml2  
ARABICA_LIBS = -L/usr/lib -larabica  
AUTOCONF = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run automake-1.8
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_LDFLAGS = -L/usr/lib
BUILD_DICTOOLS_FALSE = #
BUILD_DICTOOLS_TRUE = 
BUILD_INCLUDED_LIBINTL = no
BUILD_NCURSES_FALSE = #
BUILD_NCURSES_TRUE = 
BUILD_QT_FALSE = #
BUILD_QT_TRUE = 
BUILD_TEXT_FALSE = #
BUILD_TEXT_TRUE = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
EXPAT_CFLAGS = -I/usr/include
EXPAT_LDFLAGS = -L/usr/lib -lexpat
EXPAT_VERSION = 1.95.8
GENCAT = gencat
GLIBC2 = yes
GLIBC21 = yes
GMSGFMT = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GMSGFMT_015 = /scratchbox/devkits/autotools-legacy/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
HAS_READLINE_FALSE = #
HAS_READLINE_TRUE = 
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBCONFIG_CFLAGS =  
LIBCONFIG_LIBS = -L/usr/lib -lconfig++  
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBS = 
LIBTHREAD = 
LOG4CXX_CFLAGS = 
LOG4CXX_LIBS = 
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = ${SHELL} /home/rantalai/scrabble/elliot/eliot/missing --run makeinfo
MOC = /usr/bin/moc
MSGFMT = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGFMT_015 = /scratchbox/devkits/autotools-legacy/bin/msgfmt
MSGMERGE = /scratchbox/devkits/autotools-legacy/bin/msgmerge
OBJEXT = o
PACKAGE = eliot
PACKAGE_BUGREPORT = 
PACKAGE_NAME = eliot
PACKAGE_STRING = eliot 1.14-cvs
PACKAGE_TARNAME = eliot
PACKAGE_URL = 
PACKAGE_VERSION = 1.14-cvs
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/devkits/autotools-legacy/bin/pkg-config
POSUB = po
PRI_MACROS_BROKEN = 0
QT4LOCALEDIR = /usr/share/qt4/translations/
QT_CFLAGS = -DQT_SHARED -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtDBus -I/usr/include/QtXml  
QT_LIBS = -L/usr/lib -lQtGui -lQtDBus -lQtXml -lQtCore  
RANLIB = ranlib
RCC = /usr/bin/rcc
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
UIC = /usr/bin/uic
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.14-cvs
WIN32_BUILD_FALSE = 
WIN32_BUILD_TRUE = #
WITH_LOGGING_FALSE = 
WITH_LOGGING_TRUE = #
WOE32DLL = no
XGETTEXT = /scratchbox/devkits/autotools-legacy/bin/xgettext
XGETTEXT_015 = /scratchbox/devkits/autotools-legacy/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/rantalai/scrabble/elliot/eliot/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = $(datadir)/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
