=== debian/changelog ===
eliot (1.14-maemo1) unstable; urgency=low

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 21 Aug 2012 12:10:31 +0200
